Get
curl --request GET \
--url https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries/{library_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries/{library_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries/{library_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"state": "<string>",
"use_default_capabilities": true,
"capabilities": [],
"indexation_status": {
"documents_in_library": 123,
"indexed_documents": 123,
"estimated_minutes_to_completion": 123
},
"statistics": {
"documents_in_library": 123,
"indexed_documents": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"default_agent_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}library
Get
Get the configuration of a library
GET
/
assistant
/
api
/
v1
/
tenants
/
{tenant}
/
libraries
/
{library_id}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The domain of the customer
Example:
"example.com"
The id of the library
Response
Successful Response
Whether this library uses tenant default capabilities.
List of library capabilities
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Default agent ID for this library, overrides tenant default.